package model

import (
	"time"
)

type CapitalPoolLossMoneyFlow struct {
	Id          int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid         int       `json:"uid" xorm:"default 0 INT(11)"`
	Money       string    `json:"money" xorm:"default 0.0000 DECIMAL(20,4)"`
	Time        time.Time `json:"time" xorm:"DATETIME"`
	BeforeMoney string    `json:"before_money" xorm:"DECIMAL(20,4)"`
	AfterMoney  string    `json:"after_money" xorm:"DECIMAL(20,4)"`
	Type        int       `json:"type" xorm:"default 0 INT(1)"`
	FormType    string    `json:"form_type" xorm:"VARCHAR(255)"`
	Title       string    `json:"title" xorm:"VARCHAR(255)"`
}
