package model

type GreenCoinDoubleChain struct {
	Id             int    `json:"id" xorm:"not null pk autoincr comment('主键id') INT(11)"`
	IsUse          int    `json:"is_use" xorm:"not null default 0 comment('是否开启（否：0；是：1）') TINYINT(1)"`
	Coin1          int    `json:"coin_1" xorm:"coin_1 not null default 0 comment('coinId_1(作用于绿色积分)') INT(11)"`
	Coin2          int    `json:"coin_2" xorm:"coin_2 not null default 0 comment('coinId_2(作用于贡献积分)') INT(11)"`
	ExchangeRatio1 int    `json:"exchange_ratio_1" xorm:"exchange_ratio_1 not null default 0 comment('兑换比例(扣除绿色积分)') INT(11)"`
	ExchangeRatio2 int    `json:"exchange_ratio_2" xorm:"exchange_ratio_2 not null default 0 comment('兑换比例(扣除贡献积分)') INT(11)"`
	CreateAt       string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') TIMESTAMP"`
	UpdateAt       string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
