package model

type OneCirclesGreenEnergySignIn struct {
	Id          int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid         int    `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	StartTime   string `json:"start_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('签到开始时间') DATETIME"`
	EndTime     string `json:"end_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('签到结束时间') DATETIME"`
	IsCompleted int    `json:"is_completed" xorm:"not null default 0 comment('是否完成(0:未完成 1:已完成)') TINYINT(1)"`
}
