package model

import (
	"time"
)

type OneCirclesUserPublicPlatoonSystemPunishRecords struct {
	Id         int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid        int       `json:"uid" xorm:"not null comment('用户id') index INT(11)"`
	OldPostion int       `json:"old_postion" xorm:"not null default 0 comment('位置(旧)') INT(11)"`
	NewPostion int       `json:"new_postion" xorm:"not null default 0 comment('位置(新)') INT(11)"`
	Date       string    `json:"date" xorm:"not null default '' comment('日期(0000-00)') VARCHAR(50)"`
	Title      string    `json:"title" xorm:"not null default '' comment('标题') VARCHAR(100)"`
	Reason     string    `json:"reason" xorm:"not null default '' comment('原因') VARCHAR(255)"`
	Type       int       `json:"type" xorm:"not null default 1 comment('类型(1:大公排 2:小公排)') TINYINT(1)"`
	CreateAt   time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt   time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
