package model

type SubsidyWithUser struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Kind          int    `json:"kind" xorm:"not null default 1 comment('类型(1:消费补贴 2:体验补贴)') TINYINT(1)"`
	Uid           int    `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	IntegralNum   string `json:"integral_num" xorm:"not null default 0.00 comment('积分数量') DECIMAL(6,2)"`
	Amount        string `json:"amount" xorm:"not null default 0.00 comment('金额') DECIMAL(6,2)"`
	BalanceAmount string `json:"balance_amount" xorm:"not null default 0.00 comment('余额') DECIMAL(6,2)"`
	State         int    `json:"state" xorm:"not null default 1 comment('状态(1:待补贴 2:补贴中 3:补贴完)') TINYINT(1)"`
	Date          string `json:"date" xorm:"not null default '0000-00-00' comment('购入日期') CHAR(50)"`
	CreateAt      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	IsCanSubsidy  int    `json:"is_can_subsidy" xorm:"not null default 1 comment('（）') INT(1)"`
}
