package model

type VirtualCoinRelate struct {
	Id       int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Oid      int64  `json:"oid" xorm:"not null default 0 comment('订单号') index unique(IDX_ORD) BIGINT(20)"`
	Uid      int    `json:"uid" xorm:"not null default 0 comment('用户ID') unique(IDX_ORD) index INT(10)"`
	CoinId   int    `json:"coin_id" xorm:"comment('虚拟币id') INT(11)"`
	Amount   string `json:"amount" xorm:"not null default 0.000000 comment('数量') DECIMAL(16,6)"`
	Pvd      string `json:"pvd" xorm:"not null default '' comment('供应商taobao,jd,pdd,vip,suning,kaola,mall_goods,group_buy') index VARCHAR(255)"`
	CreateAt int    `json:"create_at" xorm:"not null default 0 comment('订单创建时间') index INT(10)"`
	Level    int    `json:"level" xorm:"not null default 0 comment('0自购 1直推 大于1：间推') INT(10)"`
}
