package md

const (
	FlowDirectionIncome      = 1 //流水 - 收入
	FlowDirectionExpenditure = 2 //流水 - 支出
)

const (
	RedisDataBase             = 0 //TODO::区块星链的缓存统一存入redis 2 号库
	UserVirtualAmountRedisKey = "%s:user_virtual_amount:%d:user:%d"
)

const (
	StaticAreaDistributionTitleForUserVirtualCoinFlow                      = "静态区发放"
	DynamicAreaDistributionTitleForUserVirtualCoinFlow                     = "动态区发放"
	OperationCenterTitleForUserVirtualCoinFlow                             = "运营中心发放"
	OtherTitleForUserVirtualCoinFlow                                       = "其他发放"
	StaticIssueAndDestroyStaticContributionTitleForUserVirtualCoinFlow     = "静态发放(销毁静态贡献值)"
	DynamicIssueAndDestroyStaticContributionTitleForUserVirtualCoinFlow    = "动态发放(销毁静态贡献值)"
	OperationCenterAndDestroyStaticContributionTitleForUserVirtualCoinFlow = "运营中心发放(销毁静态贡献值)"
	OtherAndDestroyStaticContributionTitleForUserVirtualCoinFlow           = "其他发放(销毁静态贡献值)"

	RegisterRewardTitleForUserVirtualCoinFlow                           = "注册奖励"
	InviteRegisterRewardTitleForUserVirtualCoinFlow                     = "邀请注册奖励"
	OfflineConsumeDirectPushRewardByUserTitleForUserVirtualCoinFlow     = "线下消费直推奖励(用户)"
	OfflineConsumeDirectPushRewardByBusinessTitleForUserVirtualCoinFlow = "线下消费直推奖励(商家)"
	OfflineConsumeGroupRewardByUserTitleForUserVirtualCoinFlow          = "线下消费团队奖励(用户)"
	OfflineConsumeGroupRewardByBusinessTitleForUserVirtualCoinFlow      = "线下消费团队奖励(商家)"
	OnlineConsumeDirectPushRewardTitleForUserVirtualCoinFlow            = "线上消费直推奖励"
	OnlineConsumeGroupRewardTitleForUserVirtualCoinFlow                 = "线上消费团队奖励"
	OfflineConsumeBeRewardTitleForUserVirtualCoinFlow                   = "线下消费被打赏"
	OfflineConsumeRewardTitleForUserVirtualCoinFlow                     = "线下消费打赏"
	OfflineConsumeRewardTitleForMerchantVirtualCoinFlow                 = "线下消费打赏(商家)"
	GroupLotteryAndDestroyTitleForUserVirtualCoinFlow                   = "自营拼团抽奖销毁"
	GroupLotteryAndDirectPushRewardTitleForUserVirtualCoinFlow          = "自营拼团抽奖奖励(直推)"
	GroupLotteryAndGroupRewardTitleForUserVirtualCoinFlow               = "自营拼团抽奖奖励(团队)"
	GroupSpellRewardTitleForUserVirtualCoinFlow                         = "自营拼团拼中奖励"

	BlockGreenChainConsumeAreaDistributionTitleForUserVirtualCoinFlow    = "绿色积分-消费区发放"
	BlockGreenChainAirdropAreaDistributionTitleForUserVirtualCoinFlow    = "绿色积分-空投区发放"
	BlockGreenChainConsumeAreaIssueAndDestroyTitleForUserVirtualCoinFlow = "绿色积分-消费区发放(销毁贡献值)"
	BlockGreenChainTransactionAndDestroyTitleForUserVirtualCoinFlow      = "绿色积分-交易(销毁贡献值)"
	BlockGreenChainAdminDestroyTitleForUserVirtualCoinFlow               = "绿色积分-管理员销毁"

	IntegralReleaseRedCoinGrantByOrdTitleForUserVirtualCoinFlow          = "积分释放-红积分发放(订单)"
	IntegralReleaseRedCoinGrantBySignInTitleForUserVirtualCoinFlow       = "积分释放-红积分发放(签到)"
	IntegralReleaseRedCoinGrantByOrdTitleDeductForUserVirtualCoinFlow    = "积分释放-红积分扣除(订单)"
	IntegralReleaseRedCoinGrantBySignInTitleDeductForUserVirtualCoinFlow = "积分释放-红积分扣除(签到)"
	IntegralReleaseRedCoinGrantByRefundForUserVirtualCoinFlow            = "订单退款-红积分扣除"
	IntegralReleaseGreenCoinGrantByRefundForUserVirtualCoinFlow          = "订单退款-绿积分扣除"
	IntegralReleaseGreenCoinGrantByOrdTitleForUserVirtualCoinFlow        = "积分释放-绿积分发放(订单)"
	IntegralReleaseGreenCoinGrantBySignInTitleForUserVirtualCoinFlow     = "积分释放-绿积分发放(签到)"
	IntegralReleaseServiceRevenueTitleForUserVirtualCoinFlow             = "积分释放-服务收益"

	NiuBeiCoinByReleaseNiuBeiCoinTitleForUserVirtualCoinFlow                  = "牛贝积分-释放牛贝积分"
	NiuBeiCoinByReleaseNiuBeiDestroyConsumeCoinNumTitleForUserVirtualCoinFlow = "释放牛贝积分-消耗消费积分数量"
	NiuBeiCoinByReleaseCouponCoinNumTitleForUserVirtualCoinFlow               = "牛贝积分-释放抵扣劵"
	NiuBeiCoinByReleaseCouponDestroyConsumeCoinNumTitleForUserVirtualCoinFlow = "释放抵扣劵数量-消耗消费积分数量"
	NiuBeiCoinByReleaseOptionCoinNumTitleForUserVirtualCoinFlow               = "牛贝积分-释放期权积分"
	NiuBeiCoinByReleaseOptionDestroyConsumeCoinNumTitleForUserVirtualCoinFlow = "释放期权积分数量-消耗消费积分数量"

	OneCirclesGreenEnergySignInSettlementPersonalReward    = "签到奖励"
	OneCirclesGreenEnergySignInSettlementTeamReward        = "粉丝助力奖励"
	OneCirclesWatchAdRewardPersonalActiveCoin              = "浏览视频奖励"
	OneCirclesWatchAdRewardTeamActiveCoin                  = "九维奖励"
	OneCirclesBalanceExchangeForGreenEnergy                = "账户余额兑换"
	OneCirclesGreenEnergyExchangeForBalance                = "兑换账户余额"
	OneCirclesPersonalActiveCoinExchangeGreenEnergy        = "B活跃积分兑换"
	OneCirclesTeamActiveCoinExchangeGreenEnergy            = "T活跃积分兑换"
	OneCirclesSettlementGreenEnergyExchangeGreenEnergy     = "绿色能量释放"
	OneCirclesWelfareOrdersExchangeGreenEnergy             = "福利订单兑换"
	OneCirclesConsumeOrdersExchangeGreenEnergy             = "消费订单兑换"
	OneCirclesPersonalActiveCoinExchangeToBeGreenEnergy    = "B兑换绿色能量"
	OneCirclesTeamActiveCoinExchangeToBeGreenEnergy        = "T兑换绿色能量"
	OneCirclesSettlementGreenEnergyExchangeTobeGreenEnergy = "绿色能量释放"
	OneCirclesSettlementStarLevelDividends                 = "绿色能量分红"

	GreenCoinDoubleChainExchangeByCoin1 = "绿色积分双链兑换账户余额-减少绿色积分"
	GreenCoinDoubleChainExchangeByCoin2 = "绿色积分双链兑换账户余额-减少贡献积分"
)

const (
	StaticAreaDistributionTransferTypeForUserVirtualCoinFlow                   = 100 // 区块星链-静态区发放
	DynamicAreaDistributionTransferTypeForUserVirtualCoinFlow                  = 101 // 区块星链-动态区发放
	StaticIssueAndDestroyStaticContributionTransferTypeForUserVirtualCoinFlow  = 102 // 区块星链-静态发放(销毁静态贡献值)
	DynamicIssueAndDestroyStaticContributionTransferTypeForUserVirtualCoinFlow = 103 // 区块星链-动态发放(销毁静态贡献值)
	OperationCenterTransferTypeForUserVirtualCoinFlow                          = 104 // 区块星链-运营中心发放
	OtherTransferTypeForUserVirtualCoinFlow                                    = 105 // 区块星链-其他发放

	RegisterRewardTransferTypeForUserVirtualCoinFlow                              = 106 //区块星链-注册奖励
	InviteRegisterRewardTransferTypeForUserVirtualCoinFlow                        = 107 //区块星链-邀请注册奖励
	OfflineConsumeDirectPushRewardByUserTransferTypeForUserVirtualCoinFlow        = 108 //区块星链-线下消费直推奖励(用户)
	OfflineConsumeDirectPushRewardByBusinessTransferTypeForUserVirtualCoinFlow    = 109 //区块星链-线下消费直推奖励(商家)
	OfflineConsumeGroupRewardByUserTransferTypeForUserVirtualCoinFlow             = 110 //区块星链-线下消费团队奖励(用户)
	OfflineConsumeGroupRewardByBusinessTransferTypeForUserVirtualCoinFlow         = 111 //区块星链-线下消费团队奖励(商家)
	OnlineConsumeDirectPushRewardTransferTypeForUserVirtualCoinFlow               = 112 //区块星链-线上消费直推奖励
	OnlineConsumeGroupRewardTransferTypeForUserVirtualCoinFlow                    = 113 //区块星链-线上消费团队奖励
	OfflineConsumeBeRewardTransferTypeForUserVirtualCoinFlow                      = 114 //区块星链-线下消费被打赏
	OfflineConsumeRewardTransferTypeForUserVirtualCoinFlow                        = 115 //区块星链-线下消费打赏
	OfflineConsumeRewardTransferTypeForMerchantVirtualCoinFlow                    = 116 //区块星链-线下消费打赏(商家)
	GroupLotteryAndDestroyTransferTypeForUserVirtualCoinFlow                      = 117 //区块星链-自营拼团抽奖销毁
	GroupLotteryAndDirectPushRewardTransferTypeForUserVirtualCoinFlow             = 118 //区块星链-自营拼团抽奖奖励(直推)
	GroupLotteryAndGroupRewardTransferTypeForUserVirtualCoinFlow                  = 119 //区块星链-自营拼团抽奖奖励(团队)
	OperationCenterAndDestroyStaticContributionTransferTypeForUserVirtualCoinFlow = 120 // 区块星链-运营中心发放(销毁静态贡献值)
	OtherAndDestroyStaticContributionTransferTypeForUserVirtualCoinFlow           = 121 // 区块星链-其他发放(销毁静态贡献值)
	GroupSpellRewardTransferTypeForUserVirtualCoinFlow                            = 122
	AdminOperationHJFAddTransferTypeForUserVirtualCoinFlow                        = 123 //管理员操作HJF-增加
	AdminOperationHJFSubTransferTypeForUserVirtualCoinFlow                        = 124 //管理员操作HJF-减少
	UserWithdrawalHJFTransferTypeForUserVirtualCoinFlow                           = 126 //用户提现HJF
	UserWithdrawalHJFRejectedTransferTypeForUserVirtualCoinFlow                   = 127 //拒绝用户提现HJF

	BlockGreenChainConsumeAreaDistributionTransferTypeForUserVirtualCoinFlow    = 130 // 绿色积分-消费区发放
	BlockGreenChainAirdropAreaDistributionTransferTypeForUserVirtualCoinFlow    = 131 // 绿色积分-空投区发放
	BlockGreenChainConsumeAreaIssueAndDestroyTransferTypeForUserVirtualCoinFlow = 132 // 绿色积分-消费区发放(销毁贡献值)
	BlockGreenChainTransactionAndDestroyTransferTypeForUserVirtualCoinFlow      = 133 // 绿色积分-交易(销毁贡献值)
	BlockGreenChainAdminDestroyTransferTypeForUserVirtualCoinFlow               = 134 // 绿色积分-管理员销毁

	IntegralReleaseRedCoinGrantByOrdTransferTypeForUserVirtualCoinFlow          = 135 // 积分释放-红积分发放(订单)
	IntegralReleaseRedCoinGrantBySignInTransferTypeForUserVirtualCoinFlow       = 136 // 积分释放-红积分发放(签到)
	IntegralReleaseGreenCoinGrantByOrdTransferTypeForUserVirtualCoinFlow        = 137 // 积分释放-绿积分发放(订单)
	IntegralReleaseGreenCoinGrantBySignInTransferTypeForUserVirtualCoinFlow     = 138 // 积分释放-绿积分发放(签到)
	IntegralReleaseRedCoinGrantByOrdRefundTypeForUserVirtualCoinFlow            = 139 // 订单退款-红积分扣除
	IntegralReleaseGreenCoinGrantByOrdRefundTypeForUserVirtualCoinFlow          = 140 // 订单退款-绿积分扣除
	IntegralReleaseRedCoinGrantByOrdTransferTypeDeductForUserVirtualCoinFlow    = 141 // 积分释放-红积分发放(订单)
	IntegralReleaseRedCoinGrantBySignInTransferTypeDeductForUserVirtualCoinFlow = 142 // 积分释放-红积分发放(签到)
	IntegralReleaseServiceRevenueTransferTypeForUserVirtualCoinFlow             = 143 // 积分释放-服务收益

	NiuBeiCoinByReleaseNiuBeiCoinTransferTypeForUserVirtualCoinFlow                  = 145 //牛贝积分-释放牛贝积分
	NiuBeiCoinByReleaseNiuBeiDestroyConsumeCoinNumTransferTypeForUserVirtualCoinFlow = 146 //释放牛贝积分-消耗消费积分数量
	NiuBeiCoinByReleaseCouponCoinNumTransferTypeForUserVirtualCoinFlow               = 147 //牛贝积分-释放抵扣劵
	NiuBeiCoinByReleaseCouponDestroyConsumeCoinNumTransferTypeForUserVirtualCoinFlow = 148 //释放抵扣劵数量-消耗消费积分数量
	NiuBeiCoinByReleaseOptionCoinNumTransferTypeForUserVirtualCoinFlow               = 149 //牛贝积分-释放期权积分
	NiuBeiCoinByReleaseOptionDestroyConsumeCoinNumTransferTypeForUserVirtualCoinFlow = 150 //释放期权积分数量-消耗消费积分数量
	NiuBeiCoinByExtendForUserVirtualCoinFlow                                         = 151 //直推奖励
	NiuBeiCoinByTeamForUserVirtualCoinFlow                                           = 152 //团队奖励

	OneCirclesGreenEnergySignInSettlementPersonalRewardForUserVirtualCoinFlow    = 155 //签到奖励
	OneCirclesGreenEnergySignInSettlementTeamRewardForUserVirtualCoinFlow        = 156 //粉丝助力奖励
	OneCirclesWatchAdRewardPersonalActiveCoinForUserVirtualCoinFlow              = 157 //浏览视频奖励
	OneCirclesWatchAdRewardTeamActiveCoinForUserVirtualCoinFlow                  = 158 //九维奖励
	OneCirclesBalanceExchangeForGreenEnergyForUserVirtualCoinFlow                = 159 //账户余额兑换
	OneCirclesGreenEnergyExchangeForBalanceForUserVirtualCoinFlow                = 160 //兑换账户余额
	OneCirclesPersonalActiveCoinExchangeGreenEnergyForUserVirtualCoinFlow        = 161 //B活跃积分兑换
	OneCirclesTeamActiveCoinExchangeGreenEnergyForUserVirtualCoinFlow            = 162 //T活跃积分兑换
	OneCirclesSettlementGreenEnergyExchangeGreenEnergyForUserVirtualCoinFlow     = 163 //绿色能量释放
	OneCirclesWelfareOrdersExchangeGreenEnergyForUserVirtualCoinFlow             = 164 //福利订单兑换
	OneCirclesConsumeOrdersExchangeGreenEnergyForUserVirtualCoinFlow             = 165 //消费订单兑换
	OneCirclesPersonalActiveCoinExchangeToBeGreenEnergyForUserVirtualCoinFlow    = 166 //B兑换绿色能量
	OneCirclesTeamActiveCoinExchangeToBeGreenEnergyForUserVirtualCoinFlow        = 167 //T兑换绿色能量
	OneCirclesSettlementGreenEnergyExchangeTobeGreenEnergyForUserVirtualCoinFlow = 168 //绿色能量释放
	OneCirclesSettlementStarLevelDividendsForUserVirtualCoinFlow                 = 169 //绿色能量分红(结算星级分红-得到结算绿色能量)

	GreenCoinDoubleChainExchangeByCoin1ForForUserVirtualCoinFlow = 170 //绿色积分双链兑换账户余额-减少绿色积分
	GreenCoinDoubleChainExchangeByCoin2ForForUserVirtualCoinFlow = 171 //绿色积分双链兑换账户余额-减少贡献积分

)

const DealUserCoinRequestIdPrefix = "%s:deal_user_coin:%d:uid:%d"
const DealUserCoinForGreenRequestIdPrefix = "%s:block_star_chain_deal_user_coin_for_green:%d:uid:%d"
const DealConsumeIntegralRequestIdPrefix = "consume_integral:%s:uid:%d"

const RewardBaseMultiple = 10           //区块星链-打赏倍数
const RewardBaseMultipleForMerchant = 2 //区块星链-打赏倍数(商家)

type DealUserCoinReq struct {
	Kind         string  `json:"kind"`
	Mid          string  `json:"mid"`
	Title        string  `json:"title"`
	TransferType int     `json:"transfer_type"`
	OrdId        string  `json:"ord_id"`
	CoinId       int     `json:"coin_id"`
	Uid          int     `json:"uid"`
	ToUid        int     `json:"to_uid"`
	Amount       float64 `json:"amount"`
}

type DealLotteryDrawReq struct {
	Mid    string `json:"mid"`
	Uid    int    `json:"uid"`
	Amount string `json:"amount"`
}

type OrdParam struct {
	Uid    string `json:"uid"`
	Pvd    string `json:"pvd"`
	Amount string `json:"amount"`
	OrdId  string `json:"ord_id"`
}
