package md

const (
	FinUserFlowDirectionIncome      = 1 //流水 - 收入
	FinUserFlowDirectionExpenditure = 2 //流水 - 支出
)

const (
	FinUserFlowRedisDataBase = 0
	FinUserFlowRedisKey      = "%s:fin_user_flow:%d:user:%d"
)

const (
	IntegralReleaseServiceRevenueTitleForFinUserFlow          = "积分释放-服务收益"
	IntegralReleaseServiceRevenueRefundTitleForFinUserFlow    = "订单退款-服务收益扣除"
	ConsumeSubsidyTitleForFinUserFlow                         = "消费补贴-收益"
	ExperienceSubsidyTitleForFinUserFlow                      = "体验补贴-收益"
	GreenEnergyExchangeForBalanceTitleForFinUserFlow          = "兑换账户余额"
	BalanceExchangeForGreenEnergyTitleForFinUserFlow          = "账户余额兑换"
	GreenCoinDoubleChainExchangeForBalanceTitleForFinUserFlow = "绿色积分双链兑换账户余额"
)

const (
	IntegralReleaseServiceRevenueOrderTypeForFinUserFlow       = 50  // 积分释放-服务收益
	IntegralReleaseServiceRevenueOrderRefundTypeForFinUserFlow = 51  // 积分释放-服务收益退款
	ConsumeSubsidyOrdActionForFinUserFlow                      = 110 // 消费补贴-收益
	ExperienceSubsidyOrdActionForFinUserFlow                   = 111 // 体验补贴-收益
	GreenEnergyExchangeForBalanceForFinUserFlow                = 112 // 兑换账户余额
	BalanceExchangeForGreenEnergyForFinUserFlow                = 113 // 账户余额兑换
	GreenCoinDoubleChainExchangeForBalanceForFinUserFlow       = 114 // 绿色积分双链兑换账户余额
)

const DealUserAmountRequestIdPrefix = "%s:deal_user_amount:%d"
const UserAmountRedisKey = "%s:rule_cache_user_amount:%d"

type DealIntegralReleaseInterpositionUserAmountReq struct {
	Kind        string  `json:"kind"`
	Mid         string  `json:"mid"`
	OrdId       string  `json:"ord_id"`
	CoinId      int     `json:"coin_id"`
	Uid         int     `json:"uid"`
	OriginalUid int     `json:"original_uid"`
	Amount      float64 `json:"amount"`
}

type DealUserAmount struct {
	Kind      string  `json:"kind"`
	Mid       string  `json:"mid"`
	Title     string  `json:"title"`
	OrderType string  `json:"order_type"`
	OrdAction int     `json:"ord_action"`
	OrdId     string  `json:"ord_id"`
	Uid       int     `json:"uid"`
	Amount    float64 `json:"amount"`
	Num       string  `json:"num"`
}
