package md

// 公排结构
type LvGrade struct {
	Lv                        int               `json:"lv"`                             // 会员级别
	LvName                    string            `json:"lv_name"`                        // 会员名称
	ReturnType                []string          `json:"return_type"`                    //返利类型
	CommonWealthSystem        map[string]string `json:"common_wealth_system"`           //共富制度比例
	SelfRateList              map[string]string `json:"self_rate_list"`                 // 自购比例
	DirectPush                map[string]string `json:"direct_push"`                    // 直推奖励比例
	UserLvUpPublicPlatoonList []interface{}     `json:"user_lv_up_public_platoon_list"` //会员费分销补贴相应方式的列表
}

type PublicPlatoonRelateCommissionReq struct {
	Pvd             string `json:"pvd"` //平台供应商 (taobao/jd/pdd/mall_goods ...)
	Uid             string `json:"uid"`
	UserLevel       string `json:"user_level"`       //用户等级
	PendingAmount   string `json:"pending_amount"`   //待处理金额
	Oid             string `json:"oid"`              //订单id
	PendingIntegral string `json:"pending_integral"` //待处理金额
}

type PublicPlatoonRelateCommissionResp struct {
	Uid                    string            `json:"uid"`
	CommonWealthBenefitUid string            `json:"common_wealth_benefit_uid"` //共富奖励给到的uid
	DirectPushBenefitUid   string            `json:"direct_push_benefit_uid"`   //直推奖励给到的uid
	PendingAmount          string            `json:"pending_amount"`            //处理金额
	Oid                    string            `json:"oid"`
	SelfRateList           map[string]string `json:"self_rate_list"`       // 自购奖励
	CommonWealthSystem     map[string]string `json:"common_wealth_system"` // 共富制度奖励
	DirectPush             map[string]string `json:"direct_push"`          // 直推奖励
	PendingIntegral        string            `json:"pending_integral"`     //待处理金额
}

type AddPublicPlatoonRelateCommissionReq struct {
	Uid          string `json:"uid"`
	RecommendUid string `json:"recommend_uid"` //推荐人uid
}
