package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db/model"
	"xorm.io/xorm"
)

func GetExtendAgentCommissionRelate(eg *xorm.Engine, oid, pvd string) (*model.ExtendAgentCommissionRelate, error) {
	var ord model.ExtendAgentCommissionRelate
	has, err := eg.Where("oid=? and pvd=? ", oid, pvd).Get(&ord)
	if has == false || err != nil {
		return nil, err
	}
	return &ord, nil
}
func GetExtendAgentCommissionRelateWithSession(session *xorm.Session, oid, pvd, coinId string) (*model.ExtendAgentCommissionRelate, error) {
	var ord model.ExtendAgentCommissionRelate
	has, err := session.Where("oid=? and pvd=? and coin_id=?", oid, pvd, coinId).Get(&ord)
	if has == false || err != nil {
		return nil, err
	}
	return &ord, nil
}
