package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db/model"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/utils/logx"
	"xorm.io/xorm"
)

func FindAllOneCirclesPublicPlatoonFreePunishWithUser(Db *xorm.Engine) (resp map[int]*model.OneCirclesPublicPlatoonFreePunishWithUser, err error) {
	var m []model.OneCirclesPublicPlatoonFreePunishWithUser
	err = Db.Where("1=1").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	resp = map[int]*model.OneCirclesPublicPlatoonFreePunishWithUser{}
	for _, v := range m {
		resp[v.Uid] = &v
	}
	return
}

// OneCirclesPublicPlatoonFreePunishWithUserInsert 插入单条数据
func OneCirclesPublicPlatoonFreePunishWithUserInsert(Db *xorm.Engine, oneCirclesPublicPlatoonFreePunishWithUser *model.OneCirclesPublicPlatoonFreePunishWithUser) (int, error) {
	_, err := Db.InsertOne(oneCirclesPublicPlatoonFreePunishWithUser)
	if err != nil {
		return 0, err
	}
	return oneCirclesPublicPlatoonFreePunishWithUser.Id, nil
}

// OneCirclesPublicPlatoonFreePunishWithUserUpdate 更新记录
func OneCirclesPublicPlatoonFreePunishWithUserUpdate(Db *xorm.Engine, id interface{}, oneCirclesPublicPlatoonFreePunishWithUser *model.OneCirclesPublicPlatoonFreePunishWithUser, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = Db.Where("id=?", id).Cols(forceColums...).Update(oneCirclesPublicPlatoonFreePunishWithUser)
	} else {
		affected, err = Db.Where("id=?", id).Update(oneCirclesPublicPlatoonFreePunishWithUser)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
