package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db/model"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/utils/logx"
	"xorm.io/xorm"
)

func FindAllOneCirclesPublicPlatoonRecordsPunishWithUser(Db *xorm.Engine) (resp map[int]*model.OneCirclesPublicPlatoonRecordsPunishWithUser, err error) {
	var m []model.OneCirclesPublicPlatoonRecordsPunishWithUser
	err = Db.Where("1=1").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	resp = map[int]*model.OneCirclesPublicPlatoonRecordsPunishWithUser{}
	for _, v := range m {
		resp[v.Uid] = &v
	}
	return
}

// OneCirclesPublicPlatoonRecordsPunishWithUserInsert 插入单条数据
func OneCirclesPublicPlatoonRecordsPunishWithUserInsert(Db *xorm.Engine, oneCirclesPublicPlatoonRecordsPunishWithUser *model.OneCirclesPublicPlatoonRecordsPunishWithUser) (int, error) {
	_, err := Db.InsertOne(oneCirclesPublicPlatoonRecordsPunishWithUser)
	if err != nil {
		return 0, err
	}
	return oneCirclesPublicPlatoonRecordsPunishWithUser.Id, nil
}

// OneCirclesPublicPlatoonRecordsPunishWithUserUpdate 更新记录
func OneCirclesPublicPlatoonRecordsPunishWithUserUpdate(Db *xorm.Engine, id interface{}, oneCirclesPublicPlatoonRecordsPunishWithUser *model.OneCirclesPublicPlatoonRecordsPunishWithUser, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = Db.Where("id=?", id).Cols(forceColums...).Update(oneCirclesPublicPlatoonRecordsPunishWithUser)
	} else {
		affected, err = Db.Where("id=?", id).Update(oneCirclesPublicPlatoonRecordsPunishWithUser)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
