package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db/model"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/utils/logx"
	"fmt"
	"xorm.io/xorm"
)

// GetCountByRegionalAgentUserInfoByParams 通过传入的参数查询数据(单条)
func GetCountByRegionalAgentUserInfoByParams(Db *xorm.Engine, params map[string]interface{}) (*model.RegionalAgentUser, error) {
	var m model.RegionalAgentUser
	var query = fmt.Sprintf("%s =?", params["key"])
	if has, err := Db.Where(query, params["value"]).And("deleted_time is null").Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
