package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db/model"
	"xorm.io/xorm"
)

// RegionalSubAgentOrdBelongInsert 插入单条数据
func RegionalSubAgentOrdBelongInsert(Db *xorm.Engine, RegionalSubAgentRegion *model.RegionalSubAgentOrdBelong) (int64, error) {
	_, err := Db.InsertOne(RegionalSubAgentRegion)
	if err != nil {
		return 0, err
	}
	return RegionalSubAgentRegion.Id, nil
}

func RegionalSubAgentUserFindByValid(Db *xorm.Engine, regionId string) (*[]model.RegionalAgentSubUser, error) {
	var m []model.RegionalAgentSubUser
	err := Db.Where("region_id=? and deleted_time IS NULL and is_failure=0", regionId).Find(&m)
	if err != nil {
		return nil, err
	}
	return &m, nil
}

func RegionalSubAgentCalcSystemRelateInsert(Db *xorm.Engine, RegionalSubAgentCalcSystemRelate *model.RegionalSubAgentCalcSystemRelate) (int64, error) {
	_, err := Db.InsertOne(RegionalSubAgentCalcSystemRelate)
	if err != nil {
		return 0, err
	}
	return RegionalSubAgentCalcSystemRelate.Id, nil
}
