package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db/model"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/utils/logx"
	"xorm.io/xorm"
)

func DbsPlanCommissionById(eg *xorm.Engine, id int) (*model.PlanCommission, error) {
	var m model.PlanCommission
	if isGet, err := eg.Where("id = ?", id).Get(&m); err != nil || !isGet {
		return nil, zhios_order_relate_logx.Warn(err)
	}
	return &m, nil
}

func DbsPlanCommissionByIds(eg *xorm.Engine, ids ...int) []*model.PlanCommission {
	var m []*model.PlanCommission
	var err error
	if len(ids) > 0 {
		err = eg.In("id", ids).Find(&m)
	} else {
		err = eg.Find(&m)
	}
	if err != nil {
		return nil
	}
	return m
}
