package model

type AppreciationBase struct {
	Id      int    `json:"id" xorm:"not null pk autoincr comment('主键id') INT(11)"`
	IsUse   int    `json:"is_use" xorm:"not null default 0 comment('是否开启（否：0；是：1）') TINYINT(1)"`
	Sum     string `json:"sum" xorm:"default 0.0000 comment('总资产') DECIMAL(20,4)"`
	FlowSum string `json:"flow_sum" xorm:"default 0.0000 comment('流通资产') DECIMAL(20,4)"`
}
