package model

import (
	"time"
)

type BlockGreenCoinPlatformGuidePriceForCoinRecords struct {
	Id                        int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	CoinId                    int       `json:"coin_id" xorm:"not null comment('虚拟币id') INT(11)"`
	PlatformGuidePriceForCoin string    `json:"platform_guide_price_for_coin" xorm:"not null default 0.0000000000 comment('平台区块币指导价') DECIMAL(22,10)"`
	Date                      string    `json:"date" xorm:"not null default '0000-00' comment('日期') VARCHAR(50)"`
	CreateAt                  time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('变更数量') DATETIME"`
	UpdateAt                  time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('变更前总数量') DATETIME"`
}
