package model

import (
	"time"
)

type ExtendAgentCommissionRelate struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid        int       `json:"uid" xorm:"default 0 comment('奖励用户id') INT(11)"`
	FormUid    int       `json:"form_uid" xorm:"default 0 comment('来自用户id') INT(11)"`
	Pvd        string    `json:"pvd" xorm:"default '' comment('渠道') VARCHAR(255)"`
	Oid        string    `json:"oid" xorm:"default '' comment('子订单') VARCHAR(255)"`
	CreateTime time.Time `json:"create_time" xorm:"DATETIME"`
	Amount     string    `json:"amount" xorm:"default 0.0000 comment('金额') DECIMAL(11,4)"`
	Rate       string    `json:"rate" xorm:"default 0.0000 comment('当时比例') DECIMAL(11,4)"`
	SettleTime time.Time `json:"settle_time" xorm:"DATETIME"`
	CoinId     int       `json:"coin_id" xorm:"default 0 comment('积分id 0为佣金') INT(11)"`
}
