package model

import (
	"time"
)

type MallOrdCapitalPoolTotal struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid        int       `json:"uid" xorm:"default 0 INT(11)"`
	Price      string    `json:"price" xorm:"default 0.0000 DECIMAL(20,4)"`
	LeavePrice string    `json:"leave_price" xorm:"default 0.0000 DECIMAL(20,4)"`
	Num        int       `json:"num" xorm:"default 0 INT(11)"`
	UpdateTime time.Time `json:"update_time" xorm:"DATETIME"`
	Oid        string    `json:"oid" xorm:"VARCHAR(255)"`
	Type       int       `json:"type" xorm:"INT(11) DEFAULT 0"`
	OtherPrice string    `json:"other_price" xorm:"default 0.0000 DECIMAL(20,4)"`
}
