package model

import (
	"time"
)

type MarkSettleRecord struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid        int       `json:"uid" xorm:"default 0 INT(11)"`
	Amount     string    `json:"amount" xorm:"default 0.0000 DECIMAL(11,4)"`
	Time       time.Time `json:"time" xorm:"DATETIME"`
	Type       string    `json:"type" xorm:"default '' VARCHAR(255)"`
	Extra      string    `json:"extra" xorm:" TEXT"`
	CoinId     int       `json:"coin_id" xorm:"default 0 INT(11)"`
	BelongTime string    `json:"belong_time" xorm:"default '' comment('所属月份') VARCHAR(255)"`
	Oid        string    `json:"oid" xorm:"default '' comment('') VARCHAR(255)"`
	Pvd        string    `json:"pvd" xorm:"default '' comment('') VARCHAR(255)"`
}
