package model

import (
	"time"
)

type NiuBeiCoinUserWithOrdFlow struct {
	Id                   int       `json:"id" xorm:"not null pk autoincr comment('主键id') INT(11)"`
	Uid                  int       `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	OrdId                string    `json:"ord_id" xorm:"not null default '0' comment('订单号') VARCHAR(100)"`
	ReleaseNiubeiCoinNum string    `json:"release_niubei_coin_num" xorm:"not null default 0.0000 comment('释放牛贝积分数量') DECIMAL(10,4)"`
	ReleaseCouponCoinNum string    `json:"release_coupon_coin_num" xorm:"not null default 0.0000 comment('释放抵扣劵数量') DECIMAL(10,4)"`
	ReleaseOptionCoinNum string    `json:"release_option_coin_num" xorm:"not null default 0.0000 comment('释放期权积分数量') DECIMAL(10,4)"`
	ReleaseDate          string    `json:"release_date" xorm:"not null default '0000-00-00' comment('释放日期') VARCHAR(50)"`
	CreateAt             time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') TIMESTAMP"`
	UpdateAt             time.Time `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
