package model

import (
	"time"
)

type UserLvBuyList struct {
	Id        int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Lv        int       `json:"lv" xorm:"default 0 comment('等级id') INT(11)"`
	Source    string    `json:"source" xorm:"comment('来源') VARCHAR(255)"`
	Uid       int       `json:"uid" xorm:"default 0 INT(11)"`
	Time      time.Time `json:"time" xorm:"comment('创建时间') DATETIME"`
	Oid       string    `json:"oid" xorm:"comment('订单号') VARCHAR(255)"`
	ParentUid int       `json:"parent_uid" xorm:"default 0 INT(11)"`
}
