package model

import "time"

type UserPublicPlatoonLaxinRewardSetting struct {
	Id               int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	IsUse            int       `json:"is_use" xorm:"default 0 comment('是否在使用，1：是，0，否') TINYINT(1)"`
	IsUseRewardLimit int       `json:"is_use_reward_limit" xorm:"default 0 comment('是否开启奖励限制(奖励积分只能获取等级与自己一样或等级低的人的奖励积分) ') TINYINT(1)"`
	CoinId           int       `json:"coin_id" xorm:"INT(11)"`
	Detail           string    `json:"detail" xorm:"TEXT"`
	LevelDetail      string    `json:"level_detail" xorm:"TEXT"`
	CreateAt         time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') TIMESTAMP"`
	UpdateAt         time.Time `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
