package md

const OneCirclesExchange = "one.circles"

const (
	OneCirclesRoutKeyForSignIn                          = "sign_in"                              // 签到
	OneCirclesRoutKeyForStarLevelDividend               = "star_level_dividend"                  // 星级分红
	OneCirclesRoutKeyForAutoExchangeGreenEnergyToPerson = "auto_exchange_green_energy_to_person" // 自动兑换个人绿色能量
	OneCirclesRoutKeyForAutoExchangeGreenEnergyToTeam   = "auto_exchange_green_energy_to_team"   // 自动兑换团队绿色能量
)

type OneCirclesStructForSignIn struct {
	MasterId string `json:"master_id"`
	Uid      int    `json:"uid"`
	Id       int64  `json:"id"`
}

type OneCirclesStructForAutoExchangeGreenEnergy struct {
	MasterId string `json:"master_id"`
	Uid      int    `json:"uid"`
}
type OneCirclesStructForStarLevelDividends struct {
	MasterId     string  `json:"master_id"`
	Uid          int     `json:"uid"`
	SignDividend float64 `json:"sign_dividend"`
}
