package md

type VideoRewardSystemStruct struct {
	RewardValue     string `json:"reward_value"`     //奖励X个活跃积分
	RewardTotalNum  string `json:"reward_total_num"` //一共X个奖励视屏
	IntervalMinutes string `json:"interval_minutes"` //间隔X分钟
	EachRoundHour   string `json:"each_round_hour"`  //每一轮X个小时
}

type RewardSystemStruct struct {
	Level           int    `json:"level"`            //圈层
	RewardCondition string `json:"reward_condition"` //奖励条件
	RewardValue     string `json:"reward_value"`     //奖励值
}

type ExchangeRulesStruct struct {
	AutoExchangeNumsByPerson string `json:"auto_exchange_nums_by_person"` //个人数量X个，自动兑换可用绿色能量
	AutoExchangeNumsByTeam   string `json:"auto_exchange_nums_by_team"`   //团队量X个，自动兑换结算绿色能量
}

const UserNextWatchAdDate = "%s:user_next_watch_date:%d"
